---
name: Bug Report
about: Create a report to help us improve
---

**NOTE:** Before you start, the following should be completed.

- Read [Wiki][wiki] to understand the usage and the correct effect of functional design.
- Make sure no [similar issue(including closed ones)][issues] exists.
- Make sure the bug is found in the latest code of the `master` branch.

[wiki]: https://github.com/cotes2020/jekyll-theme-chirpy/wiki
[issues]: https://github.com/cotes2020/jekyll-theme-chirpy/issues?q=is%3Aissue

## Describe the bug

<!-- A clear and concise description of what the bug is. -->

## To Reproduce

Steps to reproduce the behavior:
<!--
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error
-->

## Expected behavior

<!-- A clear and concise description of what you expected to happen. -->

## Logs/Screenshots

<!-- If applicable, add logs/screenshots to help explain your problem. -->

## Environment

| Command                           | Version |
|-----------------------------------|---------|
| `ruby -v`                         |         |
| `gem -v`                          |         |
| `bundle -v`                       |         |
| `bundle exec jekyll -v`           |         |
| `bundle info jekyll-theme-chirpy` |         |

<!-- If necessary, uncomment and fill in the following list:

### Desktop

- OS: [e.g. macOS 10.15.6]
- Browser: [e.g. Chrome 85.0.4183.83 (64-bit)]

-->

<!-- If necessary, uncomment and fill in the following list:

### Smartphone

- Device: [e.g. iPhone 6]
- OS: [e.g. iOS 13.6.1]
- Browser: [e.g. Chrome 22]

-->

## Additional context

<!-- Add any other context about the problem here. -->
